apiVersion: v1
kind: Secret
metadata:
  name: mysecret-mariadb
type: Opaque
stringData:
  root_pwd: apiexercice
  db_name: titanic

---
apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: mariadbtitanic
  labels:
    app: mariadbtitanic
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: mariadbtitanic
        type: database
    spec:
      containers:
        - name: mariadbtitanic
          image: mariadb:10.4.6
          ports:
            - containerPort: 3306
              name: db-port
          env:
            - name: MYSQL_ROOT_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: mysecret-mariadb
                  key: root_pwd
            - name: MYSQL_DATABASE
              valueFrom:
                secretKeyRef:
                  name: mysecret-mariadb
                  key: db_name

---
apiVersion: v1
kind: Service
metadata:
  creationTimestamp: null
  labels:
    app: mariadbtitanic
  name: mariadbtitanic
spec:
  ports:
  - port: 3306
    protocol: TCP
    nodePort: 30006
  selector:
    app: mariadbtitanic
    type: database
  type: NodePort
